Bug 481507 - Review Request: clanship - Battleship clone
Review Request: clanship - Battleship clone
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-01-25 15:25 EST by Jani Mikkonen
Modified: 2009-07-05 13:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-05 13:05:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jani Mikkonen 2009-01-25 15:25:52 EST
Here's my first and initial submission to fedora games rpm's. Packaging request taking from Games sig wishlist: Clanship 

Spec file: 

http://www.pcuf.fi/~rasjani/fedora/clanship.spec

and SRPMS:

http://www.pcuf.fi/~rasjani/fedora/ClanShip-1.0.5f-1.fc10.src.rpm
Comment 1 Itamar Reis Peixoto 2009-01-25 15:28:41 EST
is this your first package ?
Comment 2 Jani Mikkonen 2009-01-25 15:35:28 EST
Yes, its my first that i have submitted to fedora. I have had a talk with Hans that he could review and sponsor me in case he finds my packages good enough - but i forgot to add him to cc.
Comment 3 Itamar Reis Peixoto 2009-01-25 16:44:10 EST
please do this.

please also reduce the size of your .spec file by merging mkdir -p and cp, you can use something like install -Dp -m 0755 file
Comment 4 Jani Mikkonen 2009-01-25 18:12:10 EST
Hans added to cc 

New spec: http://www.pcuf.fi/~rasjani/fedora/clanship.spec
New srpms:http://www.pcuf.fi/~rasjani/fedora/ClanShip-1.0.5f-2.fc10.src.rpm

ps. since the clanship seems dead currently, the source can be found in my games repo. git clone git://github.com/rasjani/games.git
Comment 5 Jason Tibbitts 2009-02-11 14:37:14 EST
I believe "Battleship" is a registered mark belonging to Hasbro.  TESS shows several marks; I am not really sure if any of them relate to generic, unstylized usage involving board games, since the game has existed long before it was published in any commercial form.

Blocking FE-Legal for an opinion.
Comment 6 Tom "spot" Callaway 2009-02-12 13:36:32 EST
Yeah, this is clearly a problem.

IC 009. US 021 023 026 036 038. covers the use of the trademark "Battleship" for "computer game programs and accessories for use therewith.", so we need to step very carefully here.

"Clanship" is a little closer to "Battleship" than I would like. Given that upstream seems to be dead here, I'm inclined for us to push to rename this in our distribution, because we would be acting as upstream here. Try to avoid using "Battle" or "Ship".

Also, the summary borders on trademark infringement with "Battleship clone". Try very hard to describe the game without using the "Battleship" trademark in both the Summary and Description. If you can't do that, let me know, and we'll try to figure out a way to use the mark in the bounds of Fair Use.
Comment 7 Jani Mikkonen 2009-02-13 03:39:34 EST
I'll check the changes suggested but question: i can't check the graphics at the moment but if there are any that has the offending words that resemble the (TM), does those need changes too ?
Comment 8 Hans de Goede 2009-02-13 06:36:55 EST
(In reply to comment #7)
> I'll check the changes suggested but question: i can't check the graphics at
> the moment but if there are any that has the offending words that resemble the
> (TM), does those need changes too ?

Yes I'm afraid so, sorry for getting you in to this mess. You can always drop this package if it becomes too much work.
Comment 9 Tom "spot" Callaway 2009-03-12 11:36:28 EDT
Is this moving forward? Should it be closed out?
Comment 10 Mamoru TASAKA 2009-05-23 12:33:17 EDT
Setting NEEDINFO
Comment 11 Alexey Torkhov 2009-05-23 14:25:44 EDT
There are "kbattleship" in kdegames, should that be renamed too?
Comment 12 Tom "spot" Callaway 2009-05-24 08:38:40 EDT
(In reply to comment #11)
> There are "kbattleship" in kdegames, should that be renamed too?  

Yes, please open a separate bug against kdegames.
Comment 13 Alexey Torkhov 2009-05-24 08:56:34 EDT
(In reply to comment #12)
> Yes, please open a separate bug against kdegames.  
Done: bug 502359.

My suggestion is to use name like ‘Sea fight’ or ‘Natal battle’ as replacement for this game too.
Comment 14 Mamoru TASAKA 2009-06-14 12:52:56 EDT
What is the status of this bug?
Comment 15 Jason Tibbitts 2009-07-05 13:05:05 EDT
It's been months with no progress here; there have been several pings and it's been over a month since needinfo was set.  I'll close it out.

Note You need to log in before you can comment on or make changes to this bug.